com.independentsoft.exchange

## Class AvailabilityResponse

- java.lang.Object
- - com.independentsoft.exchange.AvailabilityResponse

-     public class AvailabilityResponse
      extends java.lang.Object

  This class contains the properties that define user availability information or suggested meeting time information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvailabilityResponse()` Initializes a new instance of the AvailabilityResponse class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FreeBusyResponse>` | `getFreeBusyResponses()` Gets the requested user's availability information and the response status.
    `ServerVersionInfo` | `getServerVersionInfo()` Gets the Microsoft Exchange Server version number.
    `SuggestionsResponse` | `getSuggestionsResponse()` Gets response status information and suggestion data for requested meeting suggestions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvailabilityResponse

          public AvailabilityResponse()

      Initializes a new instance of the AvailabilityResponse class.

  - ### Method Detail

    - #### getFreeBusyResponses

          public java.util.List<FreeBusyResponse> getFreeBusyResponses()

      Gets the requested user's availability information and the response status.
      Returns:
        the free busy responses

    - #### getSuggestionsResponse

          public SuggestionsResponse getSuggestionsResponse()

      Gets response status information and suggestion data for requested meeting suggestions.
      Returns:
        the suggestions response

    - #### getServerVersionInfo

          public ServerVersionInfo getServerVersionInfo()

      Gets the Microsoft Exchange Server version number.
      Returns:
        the server version info